Bug 179968 - 2.6.15-1.1830_FC4 takes a long time to boot
2.6.15-1.1830_FC4 takes a long time to boot
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ingo Molnar
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-03 22:14 EST by Norman Gaywood
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.15-1.1831_FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-08 08:08:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (37.21 KB, text/plain)
2006-02-03 22:15 EST, Norman Gaywood
no flags Details
/var/log/messages (60.96 KB, text/plain)
2006-02-03 22:17 EST, Norman Gaywood
no flags Details
grub.conf (1020 bytes, text/plain)
2006-02-03 22:18 EST, Norman Gaywood
no flags Details

  None (edit)
Description Norman Gaywood 2006-02-03 22:14:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
System takes a long time to boot. Seems to hang for a long time at:

Intializing hardware...  [something else] storage

After about 45 minutes system finishes booting.

I don't know if it's related but several CPUs log a "BUG: write-lock lockup". See dmesg output.

This system is a 4 processor Xeon system with HT enabled. 4 Gig of RAM lots of
SCSI disks configured as SW raid.


Version-Release number of selected component (if applicable):
kernel-smp-2.6.15-1.1830_FC4

How reproducible:
Always

Steps to Reproduce:
1. Boot kernel-smp-2.6.15-1.1830_FC4
  

Actual Results:  System takes a long time to boot

Expected Results:  System should not hang for a long period in the initializing hardware stage

Additional info:

Using udev-071-0.FC4.2

kernel-smp-2.6.14-1.1656_FC4 did not behave this way
Comment 1 Norman Gaywood 2006-02-03 22:15:33 EST
Created attachment 124148 [details]
dmesg
Comment 2 Norman Gaywood 2006-02-03 22:17:40 EST
Created attachment 124149 [details]
/var/log/messages

Notice the time difference on the first messages from the shutdown to the start
of the next boot.
Comment 3 Norman Gaywood 2006-02-03 22:18:29 EST
Created attachment 124150 [details]
grub.conf
Comment 4 Norman Gaywood 2006-02-08 08:08:41 EST
Problem seems to have disappeared with  2.6.15-1.1831_FC4smp

Weird. The changelog does not indicate that much changed.

No more delay on boot.

No more BUG: messages.

Note You need to log in before you can comment on or make changes to this bug.